Skip to main content
POST
Create a new custom action definition

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

The unique identifier for the app.

Body

application/json
actionUrl
string
required

The URL endpoint where the action is executed.

functions
object[]
required
inputFields
object[]
required
labels
object
required

Holds various labels associated with the action, including names and descriptions.

objectTypes
string[]
required
published
boolean
required

Indicates whether the action is published and available for use.

archivedAt
integer<int64>

The timestamp indicating when the action was archived.

executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]

Response

successful operation

actionUrl
string
required
functions
object[]
required
id
string
required
inputFields
object[]
required
labels
object
required
objectTypes
string[]
required
published
boolean
required
revisionId
string
required
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on March 31, 2026